Package org.apache.maven.scm.command.status

## Class StatusScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.status.StatusScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class StatusScmResult
    extends ScmResult

Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`StatusScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`StatusScmResult​(java.lang.String commandLine, java.util.List<ScmFile> changedFiles)`
`StatusScmResult​(java.util.List<ScmFile> changedFiles, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getChangedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusScmResult

    public StatusScmResult​(java.lang.String commandLine,
                           java.lang.String providerMessage,
                           java.lang.String commandOutput,
                           boolean success)

#### StatusScmResult

    public StatusScmResult​(java.lang.String commandLine,
                           java.util.List<ScmFile> changedFiles)

#### StatusScmResult

    public StatusScmResult​(java.util.List<ScmFile> changedFiles,
                           ScmResult result)

### Method Detail

#### getChangedFiles

    public java.util.List<ScmFile> getChangedFiles()